## org.apache.lucene.analysis.fa
Class PersianCharFilter

    java.lang.Object
      java.io.Reader
          org.apache.lucene.analysis.CharStream
              org.apache.lucene.analysis.CharFilter
                  org.apache.lucene.analysis.fa.PersianCharFilter

All Implemented Interfaces:
  Closeable, Readable

    public class PersianCharFilter

extends org.apache.lucene.analysis.CharFilter

CharFilter that replaces instances of Zero-width non-joiner with an ordinary space.

Field Summary

Fields inherited from class org.apache.lucene.analysis.CharFilter
`input`

Fields inherited from class java.io.Reader
`lock`

Constructor Summary
`PersianCharFilter(org.apache.lucene.analysis.CharStream in)`

Method Summary
`int` `read(char[] cbuf, int off, int len)`

Methods inherited from class org.apache.lucene.analysis.CharFilter
`close, correct, correctOffset, mark, markSupported, reset`

Methods inherited from class java.io.Reader
`read, read, read, ready, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersianCharFilter

    public PersianCharFilter(org.apache.lucene.analysis.CharStream in)

Method Detail

### read

    public int read(char[] cbuf,
                    int off,
                    int len)
             throws IOException

  Overrides:
    `read` in class `org.apache.lucene.analysis.CharFilter`
  Throws:
    `IOException`